Page MenuHomePhabricator

Fatal error from AntiSpoof when logging in
Closed, ResolvedPublic

Description

Logging in on test2.wikipedia.org should respond to the POST with a redirect back to the page I was reading, but instead serves an entirely empty page. Not even an "Internal error" error page from MediaWiki, or a generic 500 handler from Varnish either. Just nothing.

[WZOHDApAMFAAAFYiPVwAAAAO] /w/index.php?title=Special:UserLogin&returnto=Special:Notifications   ErrorException from line 107 of /srv/mediawiki/php-1.30.0-wmf.14/extensions/AntiSpoof/SpoofUser.php: PHP Error: Argument 1 passed to SpoofUser::batchRecord() must be an instance of Wikimedia\Rdbms\Database, Wikimedia\Rdbms\DBConnRef given

That fact that this kind of exception can result in no error page to the user is its own problem.

Event Timeline

Krinkle created this task.Aug 15 2017, 11:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2017, 11:50 PM

Change 372095 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/AntiSpoof@master] Type-hint SpoofUser::batchRecord() for IDatabase

https://gerrit.wikimedia.org/r/372095

Change 372095 merged by jenkins-bot:
[mediawiki/extensions/AntiSpoof@master] Type-hint SpoofUser::batchRecord() for IDatabase

https://gerrit.wikimedia.org/r/372095

Change 372097 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/AntiSpoof@wmf/1.30.0-wmf.14] Type-hint SpoofUser::batchRecord() for IDatabase

https://gerrit.wikimedia.org/r/372097

Legoktm added a subscriber: Legoktm.

Should we split this into two tickets? One for the now-fixed AntiSpoof issue, and another for fatals being blank pages?

Change 372097 merged by jenkins-bot:
[mediawiki/extensions/AntiSpoof@wmf/1.30.0-wmf.14] Type-hint SpoofUser::batchRecord() for IDatabase

https://gerrit.wikimedia.org/r/372097

Mentioned in SAL (#wikimedia-operations) [2017-08-16T17:07:35Z] <demon@tin> Synchronized php-1.30.0-wmf.14/extensions/AntiSpoof/SpoofUser.php: T173394 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-08-16T17:07:35Z] <demon@tin> Synchronized php-1.30.0-wmf.14/extensions/AntiSpoof/SpoofUser.php: T173394 (duration: 00m 51s)

After this deployment, I am now redirected correctly.

Should we split this into two tickets? One for the now-fixed AntiSpoof issue, and another for fatals being blank pages?

Will leave this task open for the time being until tracking for blank page fatals is done, but removing as a train blocker.

Krinkle renamed this task from Fatal error (blank page) served after logging in to Fatal error from AntiSpoof when logging in .Aug 17 2017, 1:56 AM
Krinkle closed this task as Resolved.
Krinkle triaged this task as Unbreak Now! priority.
Krinkle removed a project: Patch-For-Review.
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptAug 17 2017, 1:56 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM